%define repo_path %_sysconfdir/yum.repos.d

%define op5_major 7
%define op5_prev_version 6
%define op5_next_version 8

Summary: op5 release and package configuration.
Name: op5-release
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/System-Addons
License: op5 Software License
Prefix: %repo_path
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Obsoletes: op5-monitor-repo-config <= 1:%version
Obsoletes: op5-system-addons < 1:6.6
Obsoletes: op5-system-release-addons <= 1:%version
Obsoletes: op5-release-up-%op5_prev_version-to-%op5_major < %version
Provides: op5-system-addons = 1:%version
Provides: op5-system-release-addons = 1:%version

%description
%name contains the op5 repository configuration.

%package up-%op5_major-to-%op5_next_version
Group: op5/System-Addons
Summary: op5 upgrade repository configuration for the next release
Requires: op5-release

%description up-%op5_major-to-%op5_next_version
op5 repository configuration that contains repository config to upgrade
to next version of op5 Monitor

%package labs
Group: op5/System-Addons
Summary: OP5 Monitor Labs
Requires: op5-release

%description labs
op5 repository for labs, experimental code

%package 8-beta
Group: op5/System-Addons
Summary: OP5 Monitor 8 Beta release

%description 8-beta
op5 repository that contains packages for Monitor 8 beta release

%prep
%setup -q

%build

%install
rm -rf %buildroot
mkdir %buildroot

mkdir -p %buildroot/%repo_path
mkdir -p %buildroot/%_sysconfdir/pki/rpm-gpg

# Install stable repo files
install -m 644 RPM-GPG-KEY-op5  %buildroot/%_sysconfdir/pki/rpm-gpg
install -m 644 RPM-GPG-KEY-EPEL-%{rhel}  %buildroot/%_sysconfdir/pki/rpm-gpg
install -m 664 op5-release.repo %buildroot/%repo_path/op5-release.repo
install -m 664 op5-release-labs.repo %buildroot/%repo_path/op5-release-labs.repo
install -m 664 op5-release-labs-source.repo %buildroot/%repo_path/op5-release-labs-source.repo
install -m 664 op5-release-labs-debuginfo.repo %buildroot/%repo_path/op5-release-labs-debuginfo.repo
install -m 664 op5-release-debuginfo.repo %buildroot/%repo_path/op5-release-debuginfo.repo
install -m 664 op5-release-source.repo %buildroot/%repo_path/op5-release-source.repo

# Install up-<version>-to-<version> repo files
install -m 664 op5-release.repo %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
install -m 664 op5-release-debuginfo.repo %buildroot/%repo_path/op5-release-debuginfo-up-%op5_major-to-%op5_next_version.repo
install -m 664 op5-release-source.repo %buildroot/%repo_path/op5-release-source-up-%op5_major-to-%op5_next_version.repo

# Install 8-beta repo files
install -m 664 op5-release-8-beta.repo %buildroot/%repo_path/op5-release-8-beta.repo

# Fix the name and paths in the stable repo files
sed -i "s/@@STABILITY_NAME@@[-/ ]//g" %buildroot/%repo_path/op5-release.repo
sed -i "s/@@STABILITY_NAME@@[-/ ]//g" %buildroot/%repo_path/op5-release-{debuginfo,source}.repo
sed -i "s/@@STABILITY_URL@@[-/ ]//g" %buildroot/%repo_path/op5-release.repo
sed -i "s/@@STABILITY_URL@@[-/ ]//g" %buildroot/%repo_path/op5-release-{debuginfo,source}.repo
sed -i "s/@@OP5_VERSION@@/%{op5_major}/" %buildroot/%repo_path/op5-release.repo
sed -i "s/@@OP5_VERSION@@/%{op5_major}/" %buildroot/%repo_path/op5-release-{debuginfo,source}.repo
sed -i "s/@@CENTOS_VERSION@@/%{rhel}/" %buildroot/%repo_path/op5-release.repo
sed -i "s/@@CENTOS_VERSION@@/%{rhel}/" %buildroot/%repo_path/op5-release-{debuginfo,source}.repo
sed -i "s/enabled=0/enabled=1/g" %buildroot/%repo_path/op5-release.repo

# Fix the name and paths in the up-<version>-to-<version> repo files
sed -i "s/@@STABILITY_NAME@@[-]/up-%op5_major-to-%op5_next_version-/g" %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@STABILITY_NAME@@[-]/up-%op5_major-to-%op5_next_version-/g" %buildroot/%repo_path/op5-release-{debuginfo,source}-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@STABILITY_NAME@@[ ]/up-%op5_major-to-%op5_next_version /g" %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@STABILITY_NAME@@[ ]/up-%op5_major-to-%op5_next_version /g" %buildroot/%repo_path/op5-release-{debuginfo,source}-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@STABILITY_URL@@//g" %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@STABILITY_URL@@//g" %buildroot/%repo_path/op5-release-{debuginfo,source}-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@OP5_VERSION@@/%{op5_next_version}/" %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@OP5_VERSION@@/%{op5_next_version}/" %buildroot/%repo_path/op5-release-{debuginfo,source}-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@CENTOS_VERSION@@/%{rhel}/" %buildroot/%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
sed -i "s/@@CENTOS_VERSION@@/%{rhel}/" %buildroot/%repo_path/op5-release-{debuginfo,source}-up-%op5_major-to-%op5_next_version.repo
install -m 644 op5-release %buildroot%_sysconfdir/op5-release

if [ %release == "op5.1" ]; then
  echo "VERSION=%version" > %buildroot%_sysconfdir/op5-release
else
  echo "VERSION=%version-%release" > %buildroot%_sysconfdir/op5-release
fi

%files
%defattr(-, root, root)
%repo_path/op5-release.repo
%repo_path/op5-release-debuginfo.repo
%repo_path/op5-release-source.repo
%_sysconfdir/op5-release
%_sysconfdir/pki/rpm-gpg/RPM-GPG-KEY-op5
%_sysconfdir/pki/rpm-gpg/RPM-GPG-KEY-EPEL-%{rhel}
%exclude %repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
%exclude %repo_path/op5-release-debuginfo-up-%op5_major-to-%op5_next_version.repo
%exclude %repo_path/op5-release-source-up-%op5_major-to-%op5_next_version.repo
%exclude %repo_path/op5-release-8-beta.repo

%files up-%op5_major-to-%op5_next_version
%defattr(-, root, root)
%repo_path/op5-release-up-%op5_major-to-%op5_next_version.repo
%repo_path/op5-release-debuginfo-up-%op5_major-to-%op5_next_version.repo
%repo_path/op5-release-source-up-%op5_major-to-%op5_next_version.repo

%files labs
%defattr(-, root, root)
%repo_path/op5-release-labs.repo
%repo_path/op5-release-labs-source.repo
%repo_path/op5-release-labs-debuginfo.repo

%files 8-beta
%defattr(-, root, root)
%repo_path/op5-release-8-beta.repo
%_sysconfdir/pki/rpm-gpg/RPM-GPG-KEY-op5

%clean
rm -rf %buildroot

%changelog
* Mon Jun 25 2018 Daniel Nilsson <dnilsson@op5.com>
- Add op5-release-8-beta package
* Sat Feb 8 2014 Mattias Ryrlén <mattiasr@op5.com>
- Initial creation
